Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all roles containing one of the given users.

List all roles containing one of the given users. Get organizational roles containing user from list. Title will be returned by the first available of the accepted languages in the header (it, de, …).

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/orgstructure/roles/byuserids
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Query-Parameter
fromAccumulatedboolean

Use only roles or roles and role subsets (intersections with org units)

Request-Body
erforderlichapplication/json

IDs of the users

idsstring[]erforderlich
Antworten
200

List of userIds each with corresponding roles.

Array von UserWithOrgRoles
rolesOrgRoleShort[]erforderlich
Eigenschaften anzeigen
Array von OrgRoleShort
roleIdstringerforderlich
titlestringerforderlich
userIdstringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/orgstructure/roles/byuserids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Antwort
[
  {
    "roles": [
      {
        "roleId": "string",
        "title": "string"
      }
    ],
    "userId": "string"
  }
]